# asKeyValueRepo

fun < K , V > KeyValuesRepo < K , V >. asKeyValueRepo (): KeyValueFromKeyValuesRepo < K , V >(source)

Wraps this KeyValuesRepo as a KeyValueFromKeyValuesRepo, exposing a full read-write key-value interface where each key maps to a List of values.

#### Return

KeyValueFromKeyValuesRepo delegating to this repo

#### Type Parameters

K

The type of keys

V

The type of individual values